<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Users Managemnt System</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"
          integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u"
          crossorigin="anonymous">
</head>
<body>
<!-- Navigation bar (header) -->
<nav class="navbar navbar-inverse navbar-fixed-top">
    <div class="container-fluid">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse"
                    data-target="#navbar" aria-expanded="false" aria-controls="navbar">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="#" th:href="@{/users}">Admin Page</a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
            <ul class="nav navbar-nav navbar-right">
                <li><a th:href="@{/logout}">Logout</a></li>
            </ul>
        </div>
    </div>
</nav>

<br>
<br>
<br>
<br>

<div class="container">
    <h2>Welcome, [[${user.getFullname()}]]</h2>
</div>

<br>
<br>

<div class ="container">
    <div class = "row">
        <h1> List Users </h1>
    </div>
    <br>

    <div class = "row">
        <div class = "col-lg-3">
            <a th:href = "@{/users/new}" class = "btn btn-primary btn-sm mb-3"> Add User</a>
        </div>
    </div>
    <br>

    <div class="container">
        <div class="row">
            <form th:action="@{/users/search}" method="get">
                <div class="form-group">
                    <label for="role">Search by Role:</label>
                    <input type="text" class="form-control" id="role" name="role" placeholder="Enter role">
                </div>
                <button type="submit" class="btn btn-primary">Search</button>
            </form>
        </div>
    </div>





    <br>


    <table class = "table table-striped table-bordered">
        <thead class = "table-dark">
        <tr>
            <th> User FullName</th>
            <th> User Email </th>
            <th> User role</th>
            <th> Actions </th>
        </tr>
        </thead>

        <tbody>
        <tr th:each = "user: ${users}">
            <td th:text = "${user.fullname}"></td>
            <td th:text = "${user.email}"></td>
            <td th:text = "${user.role}"></td>
            <td>
                <a th:href = "@{/users/edit/{id}(id=${user.id})}"
                   class = "btn btn-primary">Update</a>

                <a th:href = "@{/users/{id}(id=${user.id})}"
                   class = "btn btn-danger">Delete</a>

            </td>
        </tr>
        </tbody>

    </table>

</div>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"
        integrity="sha384-KyZXEAg3QhqLMpG8r+Knujsl5/CGAGGp4it+VoX+O4taDHM8cRtXx4yJ8Ck6BvoB"
        crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"
        integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa"
        crossorigin="anonymous"></script>
</body>
</html>